List Tenant Templates

List all tenant creation templates for the current user's managed entity. Uses cursor-based pagination.

Query Parameters
  • limit
    Type: integer · Limit
    min:  
    1
    max:  
    100

    Number of results to return

  • cursor
    Type: string · Cursor nullable

    Pagination cursor (created_at timestamp from previous response)

Responses
  • application/json
  • application/json
Request Example for get/admin/tenants/templates
curl 'https://ai.hatz.ai/v1/admin/tenants/templates?limit=50&cursor=' \
  --header 'X-API-Key: YOUR_SECRET_TOKEN'
{
  "templates": [
    {
      "id": "string",
      "name": "string",
      "package_name": "string",
      "default_model_name": "string",
      "beta_features": true,
      "mfa_required": true,
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "next_cursor": "string"
}